Subject: Re: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Efraim Flashner <[email-masked]>
Date: Thu, 15 Aug 2019 12:12:41 +0300

On Thu, Aug 15, 2019 at 11:02:29AM +0200, pelzflorian (Florian Pelz) wrote:
> Which kind of Macbook is this?  At the top of
> 
> https://wiki.archlinux.org/index.php/Macbook
> 
> I see a big fat warning that 2016 and 2017 Macbooks do not yet work
> well with Linux (the kernel, I suppose).  Some of these issues may
> have workarounds, but it would be good to know if they apply to your
> Macbook version.
> 

Looks like it is the macbook 1,1. IIRC it has a pre-standardized EFI
implementation in 32-bit, don't remember if the laptop itself is 32- or
64- bit. Personally I would try it with Debian's special mac-installer
image first to see if that happens to boot up.

Does this laptop still have the original BIOS/EFI implementation or has
it perchance been replaced with libreboot?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted